Name:           nc
Version:        1.10
Release:        %mkrel 26
Summary:        Reads and writes data across network connections using TCP or UDP
License:        Public Domain
Group:          Networking/Other
URL:            http://www.vulnwatch.org/netcat/
Source0:        http://www.vulnwatch.org/netcat/nc110.tgz
Source1:        %{name}.1
Patch0:         %{name}-%{version}-arm.patch
Patch1:         %{name}-%{version}-resolv.patch
Patch2:         %{name}-%{version}-posix_setjmp.patch
Patch3:         %{name}-%{version}-nopunt.patch
Patch4:         %{name}-%{version}-nosleep.patch
Patch5:         %{name}-%{version}-single_verbose.patch
Patch6:         %{name}-%{version}-use_getservbyport.patch
Patch7:         %{name}-%{version}-read_overflow.patch
Patch8:         %{name}-%{version}-inet_aton.patch
Patch9:         %{name}-%{version}-udp_broadcast.patch
Patch10:        %{name}-%{version}-quit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The nc package contains Netcat (the program is now netcat), a simple utility
for reading and writing data across network connections, using the TCP or UDP
protocols. Netcat is intended to be a reliable back-end tool which can be used
directly or easily driven by other programs and scripts. Netcat is also a
feature-rich network debugging and exploration tool, since it can create many
different connections and has many built-in capabilities.

You may want to install the netcat package if you are administering a network
and you'd like to use its debugging and network exploration capabilities.

netcat has been compiled with -DGAPING_SECURITY_HOLE turned on. I do not
believe this is as much of a security hole as the author makes it out to be,
*if* you know what you're doing (but then, if you didn't, you'd still be using
telnet ;-)). Since the spawned program will run as whatever user started
netcat, don't use -e as root. You have been warned, so if some cracker breaks
into your system due to your own stupidity, don't blame me.

A symlink to the netcat binary called 'netcat' has been installed. However, the
canonical name is still 'nc'. If you use netcat on other systems, it will
probably only be installed as 'nc', so keep this in mind when writing scripts.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
# Make linux ids supported, but it makes a static binary. 
%{__make} CFLAGS="%{optflags}" \
          DFLAGS='-DLINUX -DTELNET -DGAPING_SECURITY_HOLE' generic

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__cp} -a %{name} %{buildroot}%{_bindir}
#(cd %{buildroot}%{_bindir} && %{__ln_s} %{name} netcat)
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__cp} -a %{SOURCE1} %{buildroot}%{_mandir}/man1/nc.1
#(cd %{buildroot}%{_mandir}/man1 && %{__ln_s} %{name}.1 netcat.1)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README Changelog scripts
%attr(0755,root,root) %{_bindir}/nc
#%{_bindir}/netcat
%{_mandir}/man1/nc.1*
#%{_mandir}/man1/netcat.1*


%changelog
* Thu Apr 19 2007 David Walluck <walluck@mandriva.org> 1.10-26mdv2008.0
+ Revision: 15163
- bump release
- license is not GPL (see README)
- don't use %%{make} (jobserver unavailable)

* Thu Apr 19 2007 David Walluck <walluck@mandriva.org> 1.10-23mdv2008.0
+ Revision: 15149
- better package compatibility with GNU netcat

  + Mandriva <devel@mandriva.com>


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.10-22mdv2007.1
+ Revision: 145549
- Import nc

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.10-22mdv2007.1
- use the %%mrel macro
- bunzip patches

* Wed Apr 05 2006 Olivier Blin <oblin@mandriva.com> 1.10-21mdk
- update URL (#21820)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.10-20mdk
- Rebuild

* Sat Jun 18 2005 Olivier Blin <oblin@mandriva.com> 1.10-19mdk
- fix Summary ended with dot

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.10-18mdk
- fix url (#9355)

